<?php
// $Id: 10_Telnet.php.shell.System

include_once('UIExtension.php');

class TelnetExtension extends UIExtension {
    function display(&$helper, &$container, $prams) {
        $factory = $helper->getHtmlComponentFactory('base-telnet');
        $cce = $helper->getCceClient();

        $pageId = $prams['PAGED_BLOCK_DEFAULT_PAGE'];

        $settings = $cce->get($prams['CCE_OID'], 'Telnet');

        $telnetField =& $factory->getMultiChoice('enableTelnet');
        $enable =& $factory->getOption('enabled', $settings['enabled']);
        $enable->setLabel($factory->getLabel('telnetEnable', false));

        $rate =& $factory->getInteger("connectRateField", $settings["connectRate"], 1, 1024);
        $rate->showBounds(1);
        $rate->setWidth(5);
        
        $enable->addFormField(
            $rate,
            $factory->getLabel('connectRateField')
            );
        
        $telnetField->addOption($enable);

        $container->addFormField(
            $telnetField,
            $factory->getLabel('enableTelnet'),
            $prams['PAGED_BLOCK_DEFAULT_PAGE']
            );

    }

    function handle(&$helper, &$errors, $prams) {

        $cce = $helper->getCceClient();

        // Make CI instance available:
        $CI =& get_instance();

        // Get form data:
        $form_data = $CI->input->post(NULL, TRUE);

        // Sanitize form data:
        $attributes = GetFormAttributes("", $form_data);

        $cce->set($prams['CCE_OID'], 'Telnet',
                    array(
                            'enabled' => ($attributes['enableTelnet'] ? 1 : 0),
                            'connectRate' => $attributes['connectRateField']
                            ));

        $errors = array_merge($errors, $cce->errors());

    }
}

/*
Copyright (c) 2014 Michael Stauber, SOLARSPEED.NET
Copyright (c) 2014 Team BlueOnyx, BLUEONYX.IT
Copyright (c) 2001 Sun Microsystems, Inc.
All Rights Reserved.

1. Redistributions of source code must retain the above copyright 
   notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright 
   notice, this list of conditions and the following disclaimer in 
   the documentation and/or other materials provided with the 
   distribution.

3. Neither the name of the copyright holder nor the names of its 
   contributors may be used to endorse or promote products derived 
   from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS 
FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE 
COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, 
INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; 
LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER 
CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT 
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN 
ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
POSSIBILITY OF SUCH DAMAGE.

You acknowledge that this software is not designed or intended for 
use in the design, construction, operation or maintenance of any 
nuclear facility.

*/
?>